KJL - Bug #2742

Autoload Material Type di menu Material Conversion
05/08/2024 04:37 PM - haykal haykal

Status: Closed Start date: 05/08/2024
Priority: High Due date: 05/14/2024
Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Ketika user memilih Nama Barang, ingin agar field Material Type-nya otomatis terautoload (mengambil dari Material Type yang
sudah diisikan di Material Master Data). Terima kasih.

Menu Path: Logistic & Service > Inventory Document > Material Conversion
Port: http://remote.minovais.com:61138/
DB: MinovaES_KJL_Prod (di 1452)

History

#1 - 05/13/2024 03:33 PM - Kezia Pawitra Yulianti
- Due date set to 05/14/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 05/17/2024 10:30 AM - shofwan shiddiq
- File clipboard-202405171030-hrdfv.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to jihad ....

Dear Jihad, auto load Material Type sudah di tambahkan, silahkan di testing
SelectFunction:

debugger; var store = Ext.StoreMgr.lookup("storePTRMATERIALITEM");
if (store != undefined) {

var idx = store.getCount() - 1;

var materiallD = val.value;

Ext.Ajax.request({

async: false,

method: 'POST',

url: '/UserControl/GetStore’',

params: {

tableName: 'PMDMATO0003',

param: 'MateriallD[=]' + materiallD
success: function (response) {

var results = Ext.decode(response.responseText);

dtgrid = results.data;

}

D;

var map;

var unitmasurement;

var material_type;

Ext.Ajax.request({

async: false,

method: 'POST’,

url: '/UserControl/GetStore’',

params: {

tableName: 'PMDMATO0001",

param: 'MateriallD[=]' + materiallD
success: function (response) {

var results = Ext.decode(response.responseText);

dtgrid1 = results.data;

}

D
map = dtgrid12.MAP;

unitmasurement = dtgrid1%UnitMeasurement;
material_type = dtgrid1%MaterialType;
store.getAt(idx).set('UnitMeasurement’, unitmasurement);
store.getAt(idx).set('Material Type', material_type);

if (map != undefined) {
store.getAt(idx).set('NetPrice', map);
} else {
store.getAt(idx).set('NetPrice', 0);
var max;

for (var 1 = 0; 1 < dtgrid.length; i++) {

if (!'max || parselnt (dtgrid[i] ["SeqgID"]) > parselnt (max["SeqgID"]))
max = dtgrid[i];

}

if (max != undefined) {
store.getAt (idx) .set ('PriceAmount', max.PurchasePrice);
store.getAt (idx) .set ('Discount’', max.Discount);

} else {
store.getAt (idx) .set ('PriceAmount', map);
store.getAt (idx) .set ('Discount’', 0);

#3 - 05/17/2024 10:34 AM - jihad ....
- Status changed from QA Test to Closed

Terima kasih
